module APEX_Partition_Descriptor_lib =
   use TYPES_AND_CONSTANTS_lib; 
   process PARTITION_GETCURRENTID =
        ( ! PartitionID_type partition_ID;
            PartitionStatus_type status;
        )
        spec (| partition_ID ^= status |)
      pragmas 
         C_Code " "
      end pragmas
   
   ; 
   process PARTITION_SHUTDOWN =
        ( ? PartitionID_type partition_ID;
        )
      pragmas 
         C_Code " "
      end pragmas
   
   ; 
   process PARTITION_INHIBITESCHEDULING =
        ( ? PartitionID_type partition_ID;
        )
      pragmas 
         C_Code " "
      end pragmas
   
   ; 
   process PARTITION_INITIALIZE =
        ( ? PartitionID_type partition_ID;
        )
      pragmas 
         C_Code " "
      end pragmas
   
   ; 
   process PARTITION_CALCULATEDEADLINETIME =
        ( ? PartitionID_type partition_ID;
        )
      pragmas 
         C_Code " "
      end pragmas
   
   ; 
   process PARTITION_SCHEDULINGREQUEST =
        ( ? PartitionID_type partition_ID;
          ! boolean diagnostic;
        )
        spec (| partition_ID ^= diagnostic |)
      pragmas 
         C_Code " "
      end pragmas
   
   ; 
end %APEX_Partition_Descriptor_lib%; 
